Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           perl-Math-Round
Version:        0.06 
Release:        1
Summary:        Perl extension for rounding numbers

Group:          Development/Libraries
License:        GPL+ or Artistic        
URL:            http://search.cpan.org/dist/Math-Round            
Source0: 	http://search.cpan.org/CPAN/authors/id/G/GR/GROMMEL/Math-Round-%{version}.tar.gz
BuildArch:      noarch 
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Math::Round supplies functions that will round numbers in different ways. The
functions round and nearest are exported by default; others are available as
described below. "use ... qw(:all)" exports all functions.


%prep
%setup -q -n Math-Round-%{version}

# remove errant execute bits
find . -type f -exec chmod -x {} ';'

%build
%{__perl} Makefile.PL %_prefix
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
#%{_mandir}/man3/*.3*


%changelog
* Wed Dec 09 2009 Christian Metzen <metzench@ccux-linux.de> 0.06-1
- Initial CCux package release
